Package org.apache.wiki.auth

## Class NoSuchPrincipalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.auth.WikiSecurityException
        - - org.apache.wiki.auth.NoSuchPrincipalException

All Implemented Interfaces:
  `java.io.Serializable`

    public final class NoSuchPrincipalException
    extends WikiSecurityException

Thrown in some error situations where a WikiPrincipal object does not exist.

Since:
  2.3
See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoSuchPrincipalException​(java.lang.String msg)` Constructs a new exception object with a supplied message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchPrincipalException

    public NoSuchPrincipalException​(java.lang.String msg)

Constructs a new exception object with a supplied message.

Parameters:
  `msg` - the message